package minijaja.compilateur;

public class CompilateurData {
	
	private int adresse;
	private boolean retrait;
	int entete;
	
	public CompilateurData(){
		adresse = 1;
	}
	
	public void appendAdresse(int append){
		adresse += append;
	}
	
	public void setAdresse(int append){
		adresse = append;
	}
	
	public int getAdresse(){
		return this.adresse;
	}
	
	public void appendNumEntete(int append){
		entete += append;
	}
	
	public void setNumEntete(int append){
		entete = append;
	}
	
	public int getNumEntete(){
		return this.entete;
	}
	
	public boolean isRetrait(){
		return this.retrait;
	}
	
	public boolean getRetrait(){
		return this.retrait;
	}
	
	public void setRetrait(boolean b){
		this.retrait=b;
	}
	
}
